# Poco

# class NullPurgeStrategy

Library: Foundation
Package: Logging
Header: Poco/PurgeStrategy.h

## Inheritance

Direct Base Classes: PurgeStrategy

All Base Classes: PurgeStrategy

## Member Summary

Member Functions: purge

Inherited Functions: list, purge

## Constructors

### NullPurgeStrategy

NullPurgeStrategy();

## Destructor

### ~NullPurgeStrategy

~NullPurgeStrategy();

## Member Functions

### purge

void purge(
const std::string & path
);

See also: Poco::PurgeStrategy::purge()